#!/bin/bash

############################
# horus.sh
# instructions spécifiques au module Horus
############################

# Appel Bibliothèque
. ParseDico

/etc/init.d/nscd stop &>/dev/null

if [ -e /var/lib/ldap/cn.bdb ]
then
        echo ""
        echo "Voulez vous re-générer l'annuaire LDAP ? (oui/non)"
        echo "Attention, cela detruira l'existant !"
        echo -n "[non] : "
        read Rep
else
        Rep="oui"
fi

echo -e "\n## gestion du mot de passe LDAP ##"
/usr/share/eole/ldap_pwd.py `/usr/bin/pwgen -1` > /dev/null

echo -e "\n## gestion du SID ##"
/usr/share/eole/set_sid.sh

if [ "$Rep" == "oui" -o "$Rep" == "Oui" -o "$Rep" == "o" -o "$Rep" == "O" ]
then
        echo -e "\n## Initialisation de l'annuaire ##"
        /usr/share/eole/gen_ldap.sh > /dev/null
        # FIXME : bug au 1er démarrage avec samba-3.0.22
        /etc/init.d/samba start &> /dev/null

	## gestion des utilisateurs et groupes
	echo -e "\n## Ajout de l'utilisateur admin ##"
	python -c "from horus import backend; backend.add_user('admin', 'DomainUsers', ['DomainAdmins', 'PrintOperators'])"
        res=1
        while [ "$res" -ne 0 ];do
                smbldap-passwd admin
                res=$?
        done
	ln -nsf /home/esu /home/admin/perso/esu
	python -c "from horus.backend import add_group; add_group('applidos'); add_group('minedu')"
	python -c "from horus.backend import add_share; add_share('applidos', 'applidos', filepath='/data/applidos', sticky=True, sync=False, drive='F:')"
	python -c "from horus.backend import add_share; add_share('minedu', 'minedu', filepath='/data/minedu', sticky=True, sync=False, drive='X:')"
	# partage "groupes"
	python -c "from horus.backend import add_share; add_share('groupes', 'DomainUsers', filepath='%H/groupes', drive='S:', sync=False)"
	python -c "from horus.backend import add_share; add_share('icones\$', 'DomainUsers', filepath='/home/netlogon/icones', drive='R:', sync=False, model='icones\$')"
fi

## synchronisation du fichier smb.conf
/usr/share/horus/synchro-file.py norestart

echo

## lancement firewall
/usr/sbin/lance.firewall

# creation des repertoires au 1er demarrage de mars
if [ ! -d /data/tmp ];then
	/etc/init.d/mars-nwe start > /dev/null
fi

# Utiliser manage_$module comme shell
usermod -s /usr/share/eole/manage-horus.sh horus

## FIXME ##
sed -i".bak" '/www-data/d' /etc/at.deny
# www-data sans shell
usermod -s /bin/false www-data

# Bacula
[ ! -e /etc/bacula/eoleschedule.conf ] && touch /etc/bacula/eoleschedule.conf
[ ! -e /etc/bacula/eoleschedulerestreint.conf ] && touch /etc/bacula/eoleschedulerestreint.conf
[ ! -e /etc/bacula/eolemessages.conf ] && touch /etc/bacula/eolemessages.conf
[ ! -e /etc/bacula/typesupport.conf ] && /usr/share/eole/bacula/baculasupport.py -s distant 1>/dev/null
[ ! -e /etc/bacula/listefichiersperso.conf ] && touch /etc/bacula/listefichiersperso.conf
[ ! -e /etc/bacula/listefichiersexperso.conf ] && touch /etc/bacula/listefichiersexperso.conf
[ ! -e /etc/bacula/listefichiersacad.conf ] && touch /etc/bacula/listefichiersacad.conf
[ ! -e /etc/bacula/listefichiersexacad.conf ] && touch /etc/bacula/listefichiersexacad.conf

# si Cups est desactivé
touch /etc/printcap

# initialisation/modification du mot de passe root Mysql
if [ "$mysql" == "oui" ]
then
	/usr/share/eole/mysql_pwd.py `/usr/bin/pwgen -1`
	echo
fi

/etc/init.d/nscd start &>/dev/null

exit 0
